Memcached::getMultiByKey
Memcached::getResultCode
Memcached
PHP Manual

# Memcached::getOption

(PECL memcached >= 0.1.0)

Memcached::getOption — Retrieve a Memcached option value

### Description

public mixed Memcached::getOption ( int `$option` )

This method returns the value of a Memcached `option`. Some options correspond to the ones defined by libmemcached, and some are specific to the extension. See Memcached Constants for more information.

### Parameters

`option`

  One of the Memcached::OPT_* constants.

### Return Values

Returns the value of the requested option, or FALSE on error.

### Examples

Example #1 Retrieving Memcached options

`<?php
$m = new Memcached();
var_dump($m->getOption(Memcached::OPT_COMPRESSION));
var_dump($m->getOption(Memcached::OPT_POLL_TIMEOUT));
?>`

The above example will output something similar to:

    bool(true)
    int(1000)

### See Also

- Memcached::setOption - Set a Memcached option
- Memcached Constants

Memcached::getMultiByKey
Memcached::getResultCode
Memcached
PHP Manual